/*                                                                    -*- C -*-
 * cp40_base.h --
 *
 *	Definitions for Yeti's General Purpose Library.
 *
 * Copyright (c) 1999-2001 Eric THIEBAUT.
 *	See the file "LICENSE" for information on usage and redistribution
 *	of this file, and for a DISCLAIMER OF ALL WARRANTIES.
 *
 * History:
 *	$Id$
 *	$Log$
 */
#ifndef _CP40_BASE_H
#define _CP40_BASE_H 1

/* Standard defintions. */
#include <math.h>
#include <string.h>
#include <stdio.h>
#include <stdlib.h>
#include <sys/types.h>




/*---------------------------------------------------------------------------*/

_CP40_BEGIN_DECLS

/*---------------------------------------------------------------------------*/
/* DATA TYPES */

typedef unsigned char cp40_byte_t;
typedef struct _cp40_fcomplex cp40_fcomplex_t;
typedef struct _cp40_dcomplex cp40_dcomplex_t;
struct _cp40_fcomplex {float re, im;};
struct _cp40_dcomplex {double re, im;};

/*---------------------------------------------------------------------------*/
/* MEMORY MANGEMENT */

/* The following macros allow one to use its own memory allocation routines: */
#ifndef cp40_alloc
# define cp40_alloc   malloc
# define cp40_realloc realloc
# define cp40_free    free
#endif


/*---------------------------------------------------------------------------*/

extern void cp40_timer(double *cpu, double *sys, double *wall);

/*---------------------------------------------------------------------------*/
_CP40_END_DECLS
#endif /* _CP40_BASE_H */
